:root {
    --primary-300: hsl(218, 91%, 58%);
    --primary-500: hsl(218, 91%, 48%);
    --primary-600: hsl(218, 91%, 38%);
	--secondary-400: hsl(211, 73%, 35%);
    --secondary-700: hsl(211, 73%, 12%);
    --secondary-800: hsl(211, 73%, 9%);
    --secondary-900: hsl(211, 73%, 5%);
    --accent-300: hsl(41,97%,75%);
    --accent-500: hsl(41,97%,63%);
    --accent-600: hsl(41,97%,53%);
    --secondary-10: hsla(211, 73%, 35%, .1);
    --white-70: hsla(0, 0%, 100%, .7);
    --white-80: hsla(0, 0%, 100%, .8);
    --white-90: hsla(0, 0%, 100%, .9);
    --white: hsl(0, 0%, 100%);
    --space: 4px;
	--font-sans: 'Onest';
	--font-bold: 'Onest';
    --font-serif: Georgia, serif;
	--text-0: clamp(1.125rem, 1.0739rem + 0.2273vw, 1.25rem);
	--text-1: clamp(1.375rem, 1.2999rem + 0.4727vw, 1.625rem);
	--text-2: clamp(1.75rem, 1.5683rem + 0.8424vw, 2.25rem);
	--text-3: clamp(2.25rem, 1.8849rem + 1.3881vw, 3rem);
	--text-4: clamp(2.75rem, 2.2556rem + 2.182vw, 4rem);
    --shadow-light: 0 1px 3px 0 hsla(0, 0%, 0%, .11), 0 10px 14px hsla(0, 0%, 0%, .13);
    --box-shadow: var(--shadow-light);
    --ui-design: linear-gradient(125deg, #3023AE 0%, #3B008D 100%);
    --link: var(--primary-500);
    --link-hover: var(--primary-600);
}

@font-face {
    font-family: 'Onest';
    src: url('../fonts/Onest-Regular.woff2') format('woff2'),
         url('../fonts/Onest-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Onest';
    src: url('../fonts/Onest-Bold.woff2') format('woff2'),
         url('../fonts/Onest-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

*:not(dialog) {
    margin: 0;
}

@media (prefers-reduced-motion: reduce) {
  	html:focus-within {
   		scroll-behavior: auto;
  	}
  
  	*,
  	*::before,
  	*::after {
    	animation-duration: 0.01ms !important;
    	animation-iteration-count: 1 !important;
    	transition-duration: 0.01ms !important;
    	scroll-behavior: auto !important;
  	}
}

html:focus-within {
  	scroll-behavior: smooth;
}

body {
    line-height: 1.65;
    -webkit-font-smoothing: antialiased;
    min-height: 100vh;
    text-rendering: optimizeSpeed;
    font-family: var(--font-sans);
    font-size: var(--text-0);
}
.bg-gradient {
	background-image: var(--ui-design);
    color: white;
}

img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}

input,
button,
textarea,
select {
    font: inherit;
}

.books {
    container: card / inline-size;
}

.book {
    display: grid;
    gap: 1.5rem;
    display: flex;
    flex-direction: column;

    img {
        max-width: 200px;
    }
}

@container card (width > 550px) {
  .book {
    flex-direction: row;
  }
 
}
.index {
    display: flex;
    flex-wrap: wrap;
    list-style: none;
    margin: 0;
    padding: 0;
    gap: 8px;

    li {
        display: inline-flex;
        margin-block-start: 0 !important;
        &:first-child a {
            background-color: #264653;
        }
        &:nth-child(2) a {
            background-color: #275c62;
        }
        &:nth-child(3) a {
            background-color: #287271;
        }
        &:nth-child(4) a {
            background-color: #2a9d8f;
        }
        &:nth-child(5) a {
            background-color: #8ab17d;
        }
        &:nth-child(6) a {
            background-color: #e9c46a;
            color: var(--secondary-900) !important;
        }
        &:nth-child(7) a {
            background-color: #efb366;
            color: var(--secondary-900) !important;
        }
        &:nth-child(8) a {
            background-color: #f4a261;
            color: var(--secondary-900) !important;
        }
        &:nth-child(9) a {
            background-color: #ee8959;
        }
        &:nth-child(10) a {
            background-color: #e76f51;
        }
        &:nth-child(11) a {
            background-color: #e75f50;
        }
        &:nth-child(12) a {
            background-color: #e75050;
        }
    }

    a { 
        padding: .5rem .75rem;
        color: white !important;
        border-radius: 6px;

    }
}

nav > ul {
	list-style: none;
	padding: 0;
	margin: 0;
	display: flex;
    align-items: center;
	flex-wrap: wrap;
    gap: 1rem;
}

ol {
    margin-left: 0;
    list-style-type: none;

    li {
        margin-bottom: var(--xl);
        counter-increment: step-counter;
        position: relative;

        &::before {
            content: counter(step-counter);
            color: var(--accent);
            font-weight: 700;
            margin-right: 8px;
            background-color: var(--primary);
            vertical-align: bottom;
            border-radius: 43px;
            padding: 0 8px;
            position: absolute;
            left: -2.5rem;
            text-align: center;
            width: 2rem;
            height: 2rem;
            line-height: 2rem
        }
    }
}

p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}

p, li {
    text-wrap: pretty;
    line-height: 1.5;

    * + * {

    }
}

main {

    p + p,
    li:not([class]) + li {
        margin-block-start: 1em
    }
}


h1, h2, h3, h4, h5, h6 {
    font-family: var(--font-bold);
/*    color: var(--white);*/
    /*margin-block-end: .75em;*/
}

h1 {
	font-size: var(--text-4);
	line-height: 1.2;
}

h2 {
	font-size: var(--text-3);
	line-height: 1.25;
}

h3 {
	font-size: var(--text-2);
	line-height: 1.375;
}

h4, .text-1 {
	font-size: var(--text-1);
	line-height: 1.375;
}

a {
	text-decoration: none;

	&:has(p) {
		color: inherit;
	}

	&:not([class]) {
        color: var(--link);
  		text-decoration-skip-ink: auto;

        &:hover {
            color: var(--link-hover);
        }
	}

	.header &:not(.btn),
    .footer &:not(.btn) {
		color: var(--white-70);

		&:hover {
			color: var(--white);
		}
	}

    nav & {
        color: var(--white-70);
        border-radius: 20px;
        font-size: 16px;
        transition: .15s ease-out;
        &:hover {
            background-color: var(--white-10);
        }
    }

	.skip & {
        position: absolute;
        left: -10000px;
        top: auto;
        width: 1px;
        height: 1px;
        overflow: hidden;

        &:focus {
            position: static;
            width: auto;
            height: auto
        }
    }
}

strong {
    font-family: var(--font-bold);
}

summary {
    list-style: none;
    display: inline-flex;
    align-items: center;
}

summary::before {
    content: '';
    width: 18px;
    height: 10px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='20' height='12' fill='none'%3E%3Cpath fill='%23fcc245' d='M19.582.448a1.611 1.611 0 0 1 0 2.165l-8.156 8.753a1.921 1.921 0 0 1-2.852 0L.418 2.613a1.611 1.611 0 0 1 0-2.165 1.359 1.359 0 0 1 2.017 0L10 8.567 17.565.448a1.359 1.359 0 0 1 2.017 0Z'/%3E%3C/svg%3E");
    background-size: cover;
    margin-right: .5em;
    transition: 0.2s;
}

details[open] > summary::before {
    transform: rotate(180deg);
}

summary::-webkit-details-marker {
    display: none;
}

summary {
    color: var(--accent-500);
    
    &:hover {
        color: var(--accent-300);
        cursor: pointer;
        user-select: none;
    }
}

blockquote {

    > p {
        font-family: var(--font-serif);
        font-style: italic;
        position: relative;
/*
        &:first-of-type {

            &:before {
                color: var(--accent-500);
                content: '“';
                font-family: var(--font-serif);
                font-size: 4rem;
                position: absolute;
                left: -2.25rem;
                top: -2rem;
           */ }
        }
    }
}

.skip {
	display: contents;
}

.container {
	max-width: 75ch;
	margin-inline: auto;
	padding-inline: 1.5rem;
    container: container / inline-size;
}

.max-w-sm {
    max-width: 640px;
}

.footer {
    background: radial-gradient(51% 95% at 50% 120%, rgba(43, 114, 255, 0.1) 0%, var(--secondary-900) 100%);
    padding-block: 1rem;
}

.icon {
	width: 6rem;
	height: 6rem;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	padding: 1rem;
	border-radius: .75em;
	flex-shrink: 0;
    transition: .2s ease-out;

	&.destinoreta {
		padding: 0;
	}

    .box:hover & {
        transform: rotate(-2deg) scale(1.03);
    }

    .little-boxes & {
        width: 3.5rem;
        height: 3.5rem;
        border-radius: .5em;
        padding: .5rem;
    }
}

.btn {
    transition: .15s ease-out;
    border-radius: .375em;
    display: inline-flex;
    background-color: var(--primary-500);
    color: white;

    &:hover {
        background-color: var(--primary-600);
    }
    
    &.-primary {
        padding: .5em 1.125em;
        font-size: 1.25em;
    }
    &.-secondary {
        padding: .25rem 1rem;
    }
}

.tachado {
    position: relative;
    display: inline-block;
    font-weight: 500;    
    padding-inline: 3px;
}

.avatar {
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    flex-shrink: 0;
    object-fit: cover;
}

.tachado::before {
    content: "";
    position: absolute;
    top: 45%;
    left: 0;
    right: 0;
    border-top: 7px solid hsl(22.72deg 97% 63%);
    transform: rotate(45deg);
    transform-origin: center;
}

.tachado::after {
    content: "";
    position: absolute;
    top: 45%;
    left: 0;
    right: 0;
    border-top: 7px solid hsl(10deg 97% 63%);
    transform: rotate(-15deg);
    transform-origin: center;
}

.-bananadesk {
    --accent: hsl(41, 100%, 60%);
    --accent-dark: hsl(41, 100%, 52%);
    --primary: hsl(221, 31%, 24%);
}

.boxes {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(275px, 1fr));
    align-items: flex-start;
    gap: 1rem;
}
/*@container container (inline-size > 720px) {
    .boxes {
        grid-template-columns: repeat(auto-fit, minmax(min(320px, 100%), 1fr));
    }
}*/

.box {
    padding: 1.25rem 1.5rem;
    border-radius: 1em;
    transition: .2s ease-out;
    width: 100%;
    border: 1px solid var(--white-10);
    display: flex;
    flex-direction: column;
    gap: 1.25rem;

    h3 {
        margin-block: 0;
        font-family: sans-serif;
        font-style: normal;
        font-weight: 500;
        color: var(--accent-500);
        font-size: 1.5rem;
    }

    &:hover {
	    background-color: hsla(0, 0%, 100%, 0.03);
    }
}

@container container (inline-size > 520px) {
    .box {
        gap: 1.5rem;
        flex-direction: row;
    }
}

.media {
    display: grid;
    grid-row-gap: 12px;
    grid-column-gap: 32px;
    margin-bottom: 3rem;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr auto auto;
    grid-template-areas: "media-img" "media-title" "media-content";
}

.media>* {
    margin: 0;
}

.media-title {
    grid-area: media-title;
}

.media-img {
    grid-area: media-img;
}

.media-content {
    grid-area: media-content;
}

@media screen and (min-width:50rem) {
    .media {
        grid-template-columns: 180px 3fr;
        grid-template-rows: auto 1fr;
        grid-template-areas: "media-img media-title" "media-img media-content"
    }
}

* + * {
    .spacer-sm > & {
        margin-block-start: 1vh
    }

    .spacer > & {
        margin-block-start: 2vh
    }

    .spacer-md > & {
        margin-block-start: 3.5vh
    }

    .spacer-lg > & {
        margin-block-start: 5vh
    }

    .spacer-xl > & {
        margin-block-start: 7vh
    }

    .spacer-ul > & {
        margin-block-start: 12vh
    }
}

.list-none {
    list-style: none;
    margin: 0;
    padding: 0;
}

.first-letter:first-letter {
    font-size: 1.25rem;
    line-height: 1.875rem;
    /* letter-spacing: -2px; */
    color: var(--accent-500);
    /* font-weight: 700; */
}

/* Clases Utilitarias */
.box-shadow {
    box-shadow: var(--box-shadow);
}

.scroll-smooth {
    scroll-behavior: smooth;
}

.display-flex {
    display: flex;
}

.display-grid {
    display: grid;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-column {
    flex-direction: column;
}

.flex-shrink-0 {
    flex-shrink: 0;
}

.items-center {
    align-items: center;
}

.items-baseline {
    align-items: baseline;
}

.justify-between {
    justify-content: space-between;
}

.justify-center {
    justify-content: center;
}

.gap-2 {
	gap: calc(var(--space) * 2);
}

.gap-4 {
	gap: calc(var(--space) * 4);
}

.gap-6 {
	gap: calc(var(--space) * 6);
}

.gap-8 {
	gap: calc(var(--space) * 8);
}

.column-gap-2 {
    column-gap: calc(var(--space) * 2);
}

.column-gap-4 {
    column-gap: calc(var(--space) * 4);
}

.column-gap-6 {
    column-gap: calc(var(--space) * 6);
}

.row-gap-2 {
    row-gap: calc(var(--space) * 2);
}

.row-gap-4 {
    row-gap: calc(var(--space) * 4);
}

.m-0 {
	margin: 0;
}

.mx-auto {
    margin-inline: auto;
}

.pb-4 {
    padding-bottom: calc(var(--space) * 4)
}

.p-4 {
	padding: calc(var(--space) * 4);
}
.p-6 {
    padding: calc(var(--space) * 6);
}

.py-4 {
	padding-block: calc(var(--space) * 4);
}

.bg-subtle {
    background-color: hsla(0, 0%, 100%, .05);
}

.color-accent-300 {
	color: var(--accent-300);
}

.color-white {
    color: white;
}

.border {
    border: 1px solid var(--secondary-10);
}

.uppercase {
	text-transform: uppercase;
}

.text-center {
	text-align: center;
}

.text-balance {
	text-wrap: balance;
}

.text-1 {
    font-size: var(--text-1);
}

.text-2 {
    font-size: var(--text-2);
}

.text-3 {
    font-size: var(--text-3);
}

.font-italic {
	font-style: italic;
}

.font-serif {
    font-family: var(--font-serif);
}

.font-normal {
    font-weight: 400;
    font-family: 'basier_circleregular';
}

.font-bold {
    font-weight: 600;
}

.rounded {
    border-radius: .5rem;
}

.rounded-lg {
    border-radius: 1rem;
}

.underline {
    background: url(/assets/img/underline.svg) bottom center / 100% 0.2em no-repeat;
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    padding-bottom: 0.15em;
    text-decoration: none;
}

@media screen and (min-width:48rem) {
    .md\:flex-row {
        flex-direction: row
    }

    .md\:flex-row-reverse {
        flex-direction: row-reverse
    }
}

@media screen and (min-width:62rem) {
    .lg\:grid {
        display: grid
    }

    .lg\:cols-1-2 {
        grid-template-columns: repeat(3, 1fr);

        >*:first-child {
            grid-column: 1 / 2
        }

        >*:nth-child(2) {
            grid-column: 2 / 4
        }
    }

    .lg\:cols-1-3 {
        grid-template-columns: repeat(4, 1fr);

        >*:first-child {
            grid-column: 1 / 2
        }

        >*:nth-child(2) {
            grid-column: 2 / 5
        }
    }
}